%define product		PloneErrorReporting
%define version		0.11
%define release		1mdk

%define zope_minver	2.7
%define plone_minver	2.0

%define zope_home	%{_libdir}/zope
%define software_home	%{zope_home}/lib/python

Summary:	PloneErrorReporting facilitate the submission of useful bug reports to Plone
Name:		plone-%{product}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/collective/PloneErrorReporting-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/collective
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	zope >= %{plone_minver}

%description
PloneErrorReporting replaces default_error_message and prefs_error_log_showEntry
with pages that facilitate the submission of useful bug reports to Plone.  It is
designed with the goal of improving the information provided by bug reporters.

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.11-1mdk
- initial contrib
